<?php

namespace app\admin\controller\medical;

use app\admin\validate\medical\DoctorValidate;
use app\controller\Curd;
use app\model\MedicalDoctor;
use support\Request;
use support\Response;

class DoctorController extends Curd
{
    public function __construct()
    {
        $this->model = new MedicalDoctor();
        $this->validate = true;
        $this->validateClass = new DoctorValidate();
    }

    /**
     * @Desc 列表
     * @Author Gorden
     * @Date 2024/2/29 14:31
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $order = $request->get('order', 'desc');
        $field = $field ?? 'doctor_addTime';
        $where['doctor_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 软删除
     * @Author Gorden
     * @Date 2024/2/29 14:37
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['doctor_is_del' => 1]);

        return json_success('success');
    }
}